/*
 * HTML Parser By John Resig (ejohn.org)
 * Original code by Erik Arvidsson, Mozilla Public License
 * http://erik.eae.net/simplehtmlparser/simplehtmlparser.js
 *
 * // Use like so:
 * HTMLParser(htmlString, {
 *     start: function(tag, attrs, unary) {},
 *     end: function(tag) {},
 *     chars: function(text) {},
 *     comment: function(text) {}
 * });
 *
 * // or to get an XML string:
 * HTMLtoXML(htmlString);
 *
 * // or to get an XML DOM Document
 * HTMLtoDOM(htmlString);
 *
 * // or to inject into an existing document/DOM node
 * HTMLtoDOM(htmlString, document);
 * HTMLtoDOM(htmlString, document.body);
 *
 */

(function(){function g(a){for(var b={},a=a.split(","),c=0;c<a.length;c++)b[a[c]]=!0;return b}var h=/^<([-A-Za-z0-9_:]+)((?:\s+\w+(?:\s*=\s*(?:(?:"[^"]*")|(?:'[^']*')|[^>\s]+))?)*)\s*(\/?)>/,k=/^<\/([-A-Za-z0-9_:]+)[^>]*>/,m=/([-A-Za-z0-9_]+)(?:\s*=\s*(?:(?:"((?:\\.|[^"])*)")|(?:'((?:\\.|[^'])*)')|([^>\s]+)))?/g,n=g("area,base,basefont,br,col,frame,hr,img,input,isindex,link,meta,param,embed"),o=g("address,applet,blockquote,button,center,dd,del,dir,div,dl,dt,fieldset,form,frameset,hr,iframe,ins,isindex,li,map,menu,noframes,noscript,object,ol,p,pre,script,table,tbody,td,tfoot,th,thead,tr,ul"),
p=g("a,abbr,acronym,applet,b,basefont,bdo,big,br,button,cite,code,del,dfn,em,font,i,iframe,img,input,ins,kbd,label,map,object,q,s,samp,script,select,small,span,strike,strong,sub,sup,textarea,tt,u,var"),q=g("colgroup,dd,dt,li,options,p,td,tfoot,th,thead,tr"),r=g("checked,compact,declare,defer,disabled,ismap,multiple,nohref,noresize,noshade,nowrap,readonly,selected"),s=g("script,style"),l=this.HTMLParser=function(a,b){function c(a,c,d,f){c=c.toLowerCase();if(o[c])for(;e.last()&&p[e.last()];)i("",e.last());
q[c]&&e.last()==c&&i("",c);(f=n[c]||!!f)||e.push(c);if(b.start){var g=[];d.replace(m,function(b,c,a,d,e){b=a?a:d?d:e?e:r[c]?c:"";g.push({name:c,value:b,escaped:b.replace(/(^|[^\\])"/g,'$1\\"')})});b.start&&b.start(c,g,f)}}function i(c,a){if(a)for(d=e.length-1;0<=d&&e[d]!=a;d--);else var d=0;if(0<=d){for(var f=e.length-1;f>=d;f--)b.end&&b.end(e[f]);e.length=d}}var d,f,e=[],g=a;for(e.last=function(){return this[this.length-1]};a;){f=!0;if(!e.last()||!s[e.last()]){if(0==a.indexOf("<\!--"))d=a.indexOf("--\>"),
0<=d&&(b.comment&&b.comment(a.substring(4,d)),a=a.substring(d+3),f=!1);else if(0==a.indexOf("</")){if(d=a.match(k))a=a.substring(d[0].length),d[0].replace(k,i),f=!1}else if(0==a.indexOf("<")&&(d=a.match(h)))a=a.substring(d[0].length),d[0].replace(h,c),f=!1;f&&(d=a.indexOf("<"),f=0>d?a:a.substring(0,d),a=0>d?"":a.substring(d),b.chars&&b.chars(f))}else a=a.replace(RegExp("(.*)</"+e.last()+"[^>]*>"),function(a,c){c=c.replace(/<\!--(.*?)--\>/g,"$1").replace(/<!\[CDATA\[(.*?)]]\>/g,"$1");b.chars&&b.chars(c);
return""}),i("",e.last());if(a==g)throw"Parse Error: "+a;g=a}i()};this.HTMLtoXML=function(a){var b="";l(a,{start:function(c,a,d){b+="<"+c;for(c=0;c<a.length;c++)b+=" "+a[c].name+'="'+a[c].escaped+'"';b+=(d?"/":"")+">"},end:function(a){b+="</"+a+">"},chars:function(a){b+=a},comment:function(a){b+="<\!--"+a+"--\>"}});return b};this.HTMLtoDOM=function(a,b){var c=g("html,head,body,title"),i={link:"head",base:"head"};b?b=b.ownerDocument||b.getOwnerDocument&&b.getOwnerDocument()||b:"undefined"!=typeof DOMDocument?
b=new DOMDocument:"undefined"!=typeof document&&document.implementation&&document.implementation.createDocument?b=document.implementation.createDocument("","",null):"undefined"!=typeof ActiveX&&(b=new ActiveXObject("Msxml.DOMDocument"));var d=[];if(!(b.documentElement||b.getDocumentElement&&b.getDocumentElement())&&b.createElement){var f=b.createElement("html"),e=b.createElement("head");e.appendChild(b.createElement("title"));f.appendChild(e);f.appendChild(b.createElement("body"));b.appendChild(f)}if(b.getElementsByTagName)for(var h in c)c[h]=
b.getElementsByTagName(h)[0];var j=c.body;l(a,{start:function(a,e,f){if(c[a])j=c[a],f||d.push(j);else{var g=b.createElement(a),h;for(h in e)g.setAttribute(e[h].name,e[h].value);i[a]&&"boolean"!=typeof c[i[a]]?c[i[a]].appendChild(g):j&&j.appendChild&&j.appendChild(g);f||(d.push(g),j=g)}},end:function(){d.length-=1;j=d[d.length-1]},chars:function(a){j.appendChild(b.createTextNode(a))},comment:function(){}});return b}})();
